Skip to Content

Get a Shopify or WhatsApp browser connection handoff

Returns a browser link for an organization administrator.

GET
/v1/integrations/catalog/recipes/post-delivery-check-in/connections/{provider}

Returns a browser link for an organization administrator. Shopify opens the saved check-in when setupId is supplied and the Shopify integration page otherwise. WhatsApp opens its settings page with the specified account, if any, even when setupId is supplied. Provider authorization takes place in the browser.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

provider*string
Value in"shopify""whatsapp"

Query Parameters

integrationAccountId?string
Match^intgacct_[0-9a-hjkmnp-tv-z]{16,24}$
whatsappAccountId?string
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$
setupId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Response Body

RecipeHandoff

application/json
  1. response
url*string
organizationSlug*string
setupId*|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeConnectionHandoff({
  "provider": "shopify"
});
Example Response
{
  "url": "string",
  "organizationSlug": "string",
  "setupId": "f4709ab9-abc4-47f4-b2d4-4bb2be280931"
}

Related documentation